<?php

namespace App\Http\Controllers;

use App\Helpers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class LogActivity extends Controller
{

    protected $perPage = 20;

    public function all()
    {
        // if(isset($request['limit'])){
        //     $limit = $request['limit'];
        // }else{
        //     $limit = $this->perPage;
        // }

        $logdata = DB::table('log_activity')->select('subject', 'url', 'method', 'ip', 'agent','old_data','new_data', 'created_at')->get();
        
        return response()->json($logdata);
    }

    public function find($slug)
    {
        $exists = DB::table('log_activity')->where('slug', $slug)->exists();
        if($exists){
            $logdata = DB::table('log_activity')->where('slug', $slug)->select('subject', 'url', 'method', 'ip', 'agent','old_data','new_data', 'created_at')->get();

            foreach ($logdata as $log) {
                $data['slug'] = $log->slug;
                $data['subject'] = $log->subject;
                $data['old_data'] = unserialize($log->old_data); 
                $data['new_data'] = unserialize($log->new_data);
                $data['url'] = $log->url;
                $data['method'] = $log->method;
                $data['IP'] = $log->ip;
                $data['agent'] = $log->agent;
                $data['created_at'] = $log->created_at;
                $data['updated_at'] = $log->updated_at;
            }
            return response()->json($data);
        }else{
            return response()->json(['message'=> 'Invaild request', 'status'=> 0, 'status_code'=> Helpers::STATUSCODE_FAILED],Helpers::STATUSCODE_FAILED );
        }
       

    }
}