<?php

namespace App\Http\Middleware;

use Closure;
use DB;

class ProgramMiddleware
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @return mixed
     */
    public function handle($request, Closure $next)
    {
        $programuser = $request->header('token');
        $tokenexists = DB::table('programs')->where('token', $programuser)->where('access', 1)->exists();
        if(!$tokenexists){
            return response(['message'=> 'Access Forbidden', 'status'=> 0, 'status_code'=> 403], 403);
            //return response()->json(['unauthorised, for PreX only']);
        }
        return $next($request);
    }
}