<?php 

namespace App\Models;

use Illuminate\Support\Facades\DB;

class Program 
{

    public static function create($data)
    {
        return DB::table('programs')->insert($data);
    }

    public static function all($status, $limit)
    {
        return DB::table('programs')->where('status', $status)->paginate($limit);
        // if(is_null($status)){
        //     return DB::table('programs')->paginate($limit);
        // }else{
        //     return DB::table('programs')->where('status', $status)->paginate($limit);
        // }
      
    }

    public static function find($id)
    {
        return DB::table('programs')->where('id', $id)->select('id','program_name', 'slug', 'status', 'created_at', 'updated_at')->first();
    }

    public static function update($id, $data)
    {
        return DB::table('programs')->where('id', $id)->update($data);
    }
}